Skip to main content
GET
Get Connections
Subtotal Connector tool: list_connections

Authorizations

Authorization
string
header
required

Partner OAuth: send Authorization: Bearer <access_token>, an OAuth access token from Subtotal's authorization server with the scope this endpoint needs.

Query Parameters

customer_id
string | null

Only connections with this customer id

retailer_id
string | null

Only connections to this retailer

status
enum<string> | null

Only connections in this status Connection status enum for API responses (excludes revoked status). NOTE: This should mirror the ConnectionStatus enum the database, excluding internal statuses like (REVOKED)

Available options:
active,
initialized,
unauthenticated,
disconnected
created_after
string<date-time> | null

Only connections created at or after this time

created_before
string<date-time> | null

Only connections created at or before this time

limit
integer
default:100

The maximum number of connections to return

Required range: 1 <= x <= 100
starting_after
string | null

The connection id of the last connection you processed. The next one returned is the next oldest.

Example:

"01J51S0JYV6N7K1030CV1ZKSCA"

Response

Successful Response

has_more
boolean
required

Whether more connections match after this page

Example:

false

connections
ConnectionResponse · object[]
required

Matching connections, newest first